<?php
declare (strict_types = 1);

namespace app\admin\model\v1;

use app\common\model\ProductAttrBaseModel;
use think\model\concern\SoftDelete;

/**
 * 产品 - 产品属性模型
 * @mixin \think\Model
 */
class ProductAttrModel extends ProductAttrBaseModel
{
    // 启用软删除
    use SoftDelete;
    // 软删除字段
    protected $deleteTime = 'deleted_at';

    // 关联属性特征
    public function props()
    {
        return $this->hasMany(ProductAttrPropModel::class, 'attr_id', 'id');
    }

    // 所属语言查询
    public function scopeLanguage($query, $value)
    {
        $query->where('language_id', '=', $value);
    }

    // 属性名称模糊搜索
    public function searchAttrNameNullableAttr($query, $value, $data)
    {
        $query->where('attr_name', 'like', "%{$value}%");
    }
}
